Update registry
curl --request PUT \
--url https://{host}/api/registries/{id} \
--header 'Content-Type: application/json' \
--cookie k8s-gate-session= \
--data '
{
"caCert": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"defaultChartRepo": true,
"defaultImageRepo": true,
"id": 123,
"insecureSkipVerify": true,
"name": "<string>",
"password": "<string>",
"project": "<string>",
"servesChartsFor": [
"<string>"
],
"servesImagesFor": [
"<string>"
],
"site": "<string>",
"trustApplyErrors": [
"<string>"
],
"type": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"url": "<string>",
"username": "<string>"
}
'import requests
url = "https://{host}/api/registries/{id}"
payload = {
"caCert": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"defaultChartRepo": True,
"defaultImageRepo": True,
"id": 123,
"insecureSkipVerify": True,
"name": "<string>",
"password": "<string>",
"project": "<string>",
"servesChartsFor": ["<string>"],
"servesImagesFor": ["<string>"],
"site": "<string>",
"trustApplyErrors": ["<string>"],
"type": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"url": "<string>",
"username": "<string>"
}
headers = {
"cookie": "k8s-gate-session=",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {cookie: 'k8s-gate-session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
caCert: '<string>',
createdAt: '2023-11-07T05:31:56Z',
defaultChartRepo: true,
defaultImageRepo: true,
id: 123,
insecureSkipVerify: true,
name: '<string>',
password: '<string>',
project: '<string>',
servesChartsFor: ['<string>'],
servesImagesFor: ['<string>'],
site: '<string>',
trustApplyErrors: ['<string>'],
type: '<string>',
updatedAt: '2023-11-07T05:31:56Z',
updatedBy: '<string>',
url: '<string>',
username: '<string>'
})
};
fetch('https://{host}/api/registries/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/registries/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'caCert' => '<string>',
'createdAt' => '2023-11-07T05:31:56Z',
'defaultChartRepo' => true,
'defaultImageRepo' => true,
'id' => 123,
'insecureSkipVerify' => true,
'name' => '<string>',
'password' => '<string>',
'project' => '<string>',
'servesChartsFor' => [
'<string>'
],
'servesImagesFor' => [
'<string>'
],
'site' => '<string>',
'trustApplyErrors' => [
'<string>'
],
'type' => '<string>',
'updatedAt' => '2023-11-07T05:31:56Z',
'updatedBy' => '<string>',
'url' => '<string>',
'username' => '<string>'
]),
CURLOPT_COOKIE => "k8s-gate-session=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/registries/{id}"
payload := strings.NewReader("{\n \"caCert\": \"<string>\",\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"defaultChartRepo\": true,\n \"defaultImageRepo\": true,\n \"id\": 123,\n \"insecureSkipVerify\": true,\n \"name\": \"<string>\",\n \"password\": \"<string>\",\n \"project\": \"<string>\",\n \"servesChartsFor\": [\n \"<string>\"\n ],\n \"servesImagesFor\": [\n \"<string>\"\n ],\n \"site\": \"<string>\",\n \"trustApplyErrors\": [\n \"<string>\"\n ],\n \"type\": \"<string>\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\",\n \"updatedBy\": \"<string>\",\n \"url\": \"<string>\",\n \"username\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("cookie", "k8s-gate-session=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://{host}/api/registries/{id}")
.header("cookie", "k8s-gate-session=")
.header("Content-Type", "application/json")
.body("{\n \"caCert\": \"<string>\",\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"defaultChartRepo\": true,\n \"defaultImageRepo\": true,\n \"id\": 123,\n \"insecureSkipVerify\": true,\n \"name\": \"<string>\",\n \"password\": \"<string>\",\n \"project\": \"<string>\",\n \"servesChartsFor\": [\n \"<string>\"\n ],\n \"servesImagesFor\": [\n \"<string>\"\n ],\n \"site\": \"<string>\",\n \"trustApplyErrors\": [\n \"<string>\"\n ],\n \"type\": \"<string>\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\",\n \"updatedBy\": \"<string>\",\n \"url\": \"<string>\",\n \"username\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/registries/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["cookie"] = 'k8s-gate-session='
request["Content-Type"] = 'application/json'
request.body = "{\n \"caCert\": \"<string>\",\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"defaultChartRepo\": true,\n \"defaultImageRepo\": true,\n \"id\": 123,\n \"insecureSkipVerify\": true,\n \"name\": \"<string>\",\n \"password\": \"<string>\",\n \"project\": \"<string>\",\n \"servesChartsFor\": [\n \"<string>\"\n ],\n \"servesImagesFor\": [\n \"<string>\"\n ],\n \"site\": \"<string>\",\n \"trustApplyErrors\": [\n \"<string>\"\n ],\n \"type\": \"<string>\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\",\n \"updatedBy\": \"<string>\",\n \"url\": \"<string>\",\n \"username\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"caCert": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"defaultChartRepo": true,
"defaultImageRepo": true,
"id": 123,
"insecureSkipVerify": true,
"name": "<string>",
"password": "<string>",
"project": "<string>",
"site": "<string>",
"type": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"url": "<string>",
"username": "<string>",
"servesChartsFor": [
"<string>"
],
"servesImagesFor": [
"<string>"
],
"trustApplyErrors": [
"<string>"
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}registries
Update registry
Chart mirror — the chart-side twin of prepull. Static sub-paths must be
Authorisation: registry:Update on krn:celum:registry:{id}.
Assistant tool: update_registry
PUT
/
api
/
registries
/
{id}
Update registry
curl --request PUT \
--url https://{host}/api/registries/{id} \
--header 'Content-Type: application/json' \
--cookie k8s-gate-session= \
--data '
{
"caCert": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"defaultChartRepo": true,
"defaultImageRepo": true,
"id": 123,
"insecureSkipVerify": true,
"name": "<string>",
"password": "<string>",
"project": "<string>",
"servesChartsFor": [
"<string>"
],
"servesImagesFor": [
"<string>"
],
"site": "<string>",
"trustApplyErrors": [
"<string>"
],
"type": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"url": "<string>",
"username": "<string>"
}
'import requests
url = "https://{host}/api/registries/{id}"
payload = {
"caCert": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"defaultChartRepo": True,
"defaultImageRepo": True,
"id": 123,
"insecureSkipVerify": True,
"name": "<string>",
"password": "<string>",
"project": "<string>",
"servesChartsFor": ["<string>"],
"servesImagesFor": ["<string>"],
"site": "<string>",
"trustApplyErrors": ["<string>"],
"type": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"url": "<string>",
"username": "<string>"
}
headers = {
"cookie": "k8s-gate-session=",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {cookie: 'k8s-gate-session=', 'Content-Type': 'application/json'},
body: JSON.stringify({
caCert: '<string>',
createdAt: '2023-11-07T05:31:56Z',
defaultChartRepo: true,
defaultImageRepo: true,
id: 123,
insecureSkipVerify: true,
name: '<string>',
password: '<string>',
project: '<string>',
servesChartsFor: ['<string>'],
servesImagesFor: ['<string>'],
site: '<string>',
trustApplyErrors: ['<string>'],
type: '<string>',
updatedAt: '2023-11-07T05:31:56Z',
updatedBy: '<string>',
url: '<string>',
username: '<string>'
})
};
fetch('https://{host}/api/registries/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/registries/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'caCert' => '<string>',
'createdAt' => '2023-11-07T05:31:56Z',
'defaultChartRepo' => true,
'defaultImageRepo' => true,
'id' => 123,
'insecureSkipVerify' => true,
'name' => '<string>',
'password' => '<string>',
'project' => '<string>',
'servesChartsFor' => [
'<string>'
],
'servesImagesFor' => [
'<string>'
],
'site' => '<string>',
'trustApplyErrors' => [
'<string>'
],
'type' => '<string>',
'updatedAt' => '2023-11-07T05:31:56Z',
'updatedBy' => '<string>',
'url' => '<string>',
'username' => '<string>'
]),
CURLOPT_COOKIE => "k8s-gate-session=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/registries/{id}"
payload := strings.NewReader("{\n \"caCert\": \"<string>\",\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"defaultChartRepo\": true,\n \"defaultImageRepo\": true,\n \"id\": 123,\n \"insecureSkipVerify\": true,\n \"name\": \"<string>\",\n \"password\": \"<string>\",\n \"project\": \"<string>\",\n \"servesChartsFor\": [\n \"<string>\"\n ],\n \"servesImagesFor\": [\n \"<string>\"\n ],\n \"site\": \"<string>\",\n \"trustApplyErrors\": [\n \"<string>\"\n ],\n \"type\": \"<string>\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\",\n \"updatedBy\": \"<string>\",\n \"url\": \"<string>\",\n \"username\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("cookie", "k8s-gate-session=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://{host}/api/registries/{id}")
.header("cookie", "k8s-gate-session=")
.header("Content-Type", "application/json")
.body("{\n \"caCert\": \"<string>\",\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"defaultChartRepo\": true,\n \"defaultImageRepo\": true,\n \"id\": 123,\n \"insecureSkipVerify\": true,\n \"name\": \"<string>\",\n \"password\": \"<string>\",\n \"project\": \"<string>\",\n \"servesChartsFor\": [\n \"<string>\"\n ],\n \"servesImagesFor\": [\n \"<string>\"\n ],\n \"site\": \"<string>\",\n \"trustApplyErrors\": [\n \"<string>\"\n ],\n \"type\": \"<string>\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\",\n \"updatedBy\": \"<string>\",\n \"url\": \"<string>\",\n \"username\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/registries/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["cookie"] = 'k8s-gate-session='
request["Content-Type"] = 'application/json'
request.body = "{\n \"caCert\": \"<string>\",\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"defaultChartRepo\": true,\n \"defaultImageRepo\": true,\n \"id\": 123,\n \"insecureSkipVerify\": true,\n \"name\": \"<string>\",\n \"password\": \"<string>\",\n \"project\": \"<string>\",\n \"servesChartsFor\": [\n \"<string>\"\n ],\n \"servesImagesFor\": [\n \"<string>\"\n ],\n \"site\": \"<string>\",\n \"trustApplyErrors\": [\n \"<string>\"\n ],\n \"type\": \"<string>\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\",\n \"updatedBy\": \"<string>\",\n \"url\": \"<string>\",\n \"username\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"caCert": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"defaultChartRepo": true,
"defaultImageRepo": true,
"id": 123,
"insecureSkipVerify": true,
"name": "<string>",
"password": "<string>",
"project": "<string>",
"site": "<string>",
"type": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"url": "<string>",
"username": "<string>",
"servesChartsFor": [
"<string>"
],
"servesImagesFor": [
"<string>"
],
"trustApplyErrors": [
"<string>"
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
sessionCookiebearerToken
The session cookie issued by the OIDC sign-in flow. This is what a browser uses.
Path Parameters
The object's identifier.
Body
application/json
Response
object | null
Success.